%define upstream_name Parse-RecDescent-Deparse
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
License:	GPL or Artistic
Summary:	Parse::RecDescent::Deparse - Turn a Parse::RecDescent object back into its grammar
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-Parse-RecDescent
BuildArch:	noarch


%description
This module adds the deparse method to the Parse::RecDescent
class, which returns a textual description of the grammar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Parse/RecDescent/Deparse.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-12.mga6
+ Revision: 1031762
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-11.mga6
+ Revision: 943910
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.00-10.mga5
+ Revision: 747538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-9.mga5
+ Revision: 685899
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-8.mga4
+ Revision: 514002
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-7.mga3
+ Revision: 371535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.00-6.mga1
+ Revision: 31034
- mageia rebuild
- imported package perl-Parse-RecDescent-Deparse


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.00-6mdv2010.0
+ Revision: 430520
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-5mdv2009.0
+ Revision: 258192
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-4mdv2009.0
+ Revision: 246271
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-2mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-2mdv2008.0
+ Revision: 86769
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdk
- initial Mandriva package

